# Function makeVAA

- makeVAA(payload): {
  guardianSetIndex: 0;
  guardianSignature: Uint8Array;
  hash: Uint8Array;
  nonce: 0;
  payload: any;
  timestamp: 0;
  version: 1;
  }

- #### Parameters

  - ##### payload: any

  #### Returns {
  guardianSetIndex: 0;
  guardianSignature: Uint8Array;
  hash: Uint8Array;
  nonce: 0;
  payload: any;
  timestamp: 0;
  version: 1;
  }

  - ##### `Readonly` guardianSetIndex: 0

  - ##### `Readonly` guardianSignature: Uint8Array

  - ##### `Readonly` hash: Uint8Array

  - ##### `Readonly` nonce: 0

  - ##### `Readonly` payload: any

  - ##### `Readonly` timestamp: 0

  - ##### `Readonly` version: 1

  - Defined in core/definitions/dist/esm/testing/utils/vaa.d.ts:1

Generated using TypeDoc